Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.storedProcedures
Class SimpleSTSP

    java.lang.Object
      edu.udo.cs.miningmart.storedProcedures.SimpleSTSP

    public class SimpleSTSP

extends java.lang.Object

Version:
  $Id: SimpleSTSP.java,v 1.5 2006/09/27 15:00:02 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`SimpleSTSP(BusinessDbConnectionSource dbc, java.lang.String source, java.lang.String time, java.lang.String column, java.lang.String target, java.lang.String timeStart, java.lang.String timeEnd, java.lang.String averageCol, java.lang.String incCol, double tolerance)`

Method Summary
`void` | `calc()` Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing
`static void` | `dbSTSP(java.lang.Object dbc, java.lang.String source, java.lang.String time, java.lang.String column, java.lang.String target, java.lang.String timeStart, java.lang.String timeEnd, java.lang.String averageCol, java.lang.String incCol, double tolerance)` This function has to be used in the database as stored procedure to calculate a simple aggregation of time series to intervals.
`protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset` | `getOutputColumnset()`
`protected double` | `getTolerance()`
`protected Windowing` | `getWindow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSTSP

    public SimpleSTSP(BusinessDbConnectionSource dbc,
                      java.lang.String source,
                      java.lang.String time,
                      java.lang.String column,
                      java.lang.String target,
                      java.lang.String timeStart,
                      java.lang.String timeEnd,
                      java.lang.String averageCol,
                      java.lang.String incCol,
                      double tolerance)
               throws java.sql.SQLException,
                      TimeOperatorException

Parameters:
  `dbc` - source of database connection if not used as stored procedure
  `source` - source table
  `time` - time column in source table
  `column` - source column in source table
  `target` - target table to be created
  `timeStart` - column for the start of the time intervals in the target
  `timeEnd` - column for the end of the time intervals in the target
  `averageCol` - attribute for the average of intervals in the target
  `incCol` - attribute for the increase within intervals in the target
  `tolerance` - parameter specifying allowed deviation within one interval
Throws:
  `java.sql.SQLException`
  `TimeOperatorException`

Method Detail

### getWindow

    protected Windowing getWindow()

### getOutputColumnset

    protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset getOutputColumnset()

### getTolerance

    protected double getTolerance()

### calc

    public void calc()
              throws TimeOperatorException

  Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing.

  The calculation itself: Always starts a new interval which is filled until the tolerance criterion for adding another value is violated. Stops, if there is no new value for starting another interval.

  Throws:
    `TimeOperatorException`

### dbSTSP

    public static void dbSTSP(java.lang.Object dbc,
                              java.lang.String source,
                              java.lang.String time,
                              java.lang.String column,
                              java.lang.String target,
                              java.lang.String timeStart,
                              java.lang.String timeEnd,
                              java.lang.String averageCol,
                              java.lang.String incCol,
                              double tolerance)
                       throws java.sql.SQLException,
                              TimeOperatorException

  This function has to be used in the database as stored procedure to calculate a simple aggregation of time series to intervals. For parameter information please refer to the documentation of the constructor.

  Throws:
    `java.sql.SQLException`
    `TimeOperatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005